<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after
 *
 * @package parallax_blog
 */
?>

</div><!-- #content -->
<div id="para-blog-sidebar-wrapper" class="">
    <div class="para-blog-open"><i class="fa fa-pencil"></i></div>
    <div id="mtp-content">
        <div class="para-blog-content-title">Choose Font Size</div>
        <ul class="para-blog-font-select">
            <li class="small-font" data-class="font-3">A</li>
            <li class="medium-font on" data-class="font-2">A</li>
            <li class="large-font " data-class="font-1">A</li>
        </ul>           
        
        <div class="para-blog-header-style">
            <label class="pb-sidebar-switch">
              <input type="checkbox">
              <span class="sidebar-round-switch">Hide Image</span>
            </label>
        </div>
        
    </div>
</div>
<?php
$custom_footer_page_id = accesspress_parallax_of_get_option( 'custom_footer_page' );
if( isset($custom_footer_page_id) && !empty($custom_footer_page_id)) :?>
    <footer id="ap-custom-footer" class="ap-custom-footer-wrapper">
        <?php echo \Elementor\Plugin::$instance->frontend->get_builder_content( $custom_footer_page_id ); ?>
    </footer>
        <?php 
else: ?>
    <footer id="colophon" class="site-footer">

        <?php if ( is_active_sidebar( 'footer-1' ) || is_active_sidebar( 'footer-2' ) || is_active_sidebar( 'footer-3' ) || is_active_sidebar( 'footer-4' ) ) : ?>
            <div class="top-footer footer-column-<?php echo esc_attr( accesspress_footer_count() ); ?>">
                <div class="mid-content ">
                    <div class="top-footer-wrap clearfix">
                        <?php if ( is_active_sidebar( 'footer-1' ) ): ?>
                            <div class="footer-block">
                                <?php dynamic_sidebar( 'footer-1' ); ?>
                            </div>
                        <?php endif; ?>

                        <?php if ( is_active_sidebar( 'footer-2' ) ): ?>
                            <div class="footer-block">
                                <?php dynamic_sidebar( 'footer-2' ); ?>
                            </div>
                        <?php endif; ?>

                        <?php if ( is_active_sidebar( 'footer-3' ) ): ?>
                            <div class="footer-block">
                                <?php dynamic_sidebar( 'footer-3' ); ?>
                            </div>
                        <?php endif; ?>

                        <?php if ( is_active_sidebar( 'footer-4' ) ): ?>
                            <div class="footer-block">
                                <?php dynamic_sidebar( 'footer-4' ); ?>
                            </div>
                        <?php endif; ?> 
                    </div>
                </div>
            </div>
        <?php endif; ?>
        <?php do_action('parallax_blog_footer'); ?>
        
    </footer><!-- #colophon -->
<?php endif;?>
</div><!-- #page -->

<div id="go-top"><a href="#page"><i class="fa fa-angle-up"></i></a></div>
<?php wp_footer(); ?>
</body>
</html>