<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package accesspress_parallax
 */
get_header();
    ?>
    <div class="mid-content clearfix  ">
        <div id="primary" class="content-area">
            <main id="main" class="site-main">

                <?php
                if ( have_posts() ) :
                    while ( have_posts() ) : the_post();
                        //get_template_part( 'content' );
                    ?>

                    <article id="post-<?php the_ID(); ?>" <?php post_class( 'pb-blog-archive-wrapper' ); ?>>
                        <?php $image = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'pb-blog-header' ); ?>
                        <div class="entry-thumb parallax-main-blog-wrapper" style= "background-image:url('<?php echo esc_url( $image[0]); ?>')">
                            <header class="entry-header">
                                <h2 class="entry-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_title(); ?></a></h2>
                                <div class="pb-blog-author-wrap">

                                    <div class = "blog-avatar">
                                        <?php echo get_avatar( get_the_author_meta( 'ID' ), 55 ); ?>
                                    </div>
                                    <div class="author"><?php echo esc_attr(get_the_author()); ?></div>
                                    <span class="post-date"><?php echo esc_html(get_the_date()); ?></span>
                                    <?php
                                    if( function_exists('parallax_blog_post_views')){
                                        parallax_blog_post_views();    
                                    }?>
                                </div>
                            </header><!-- .entry-header -->
                        </div>
                        <div class="entry-content">
                            <?php
                            $archive_post_excerpt  = accesspress_parallax_of_get_option( 'archive_text_excerpt',200 );
                            
                            echo parallax_blog_excerpt(absint($archive_post_excerpt)); 

                            // wp_link_pages( array(
                            //     'before' => '<div class="page-links">' . __( 'Pages:', 'accesspress-parallax' ),
                            //     'after' => '</div>',
                            // ) );
                            ?>
                        </div><!-- .entry-content -->
                    </article><!-- #post-## -->
                    <?php 
                    endwhile;
                    the_posts_pagination();
                else :
                    get_template_part( 'content', 'none' );
                endif;
                ?>

            </main><!-- #main -->
        </div><!-- #primary -->

        <?php get_sidebar(); ?>
    </div>

<?php
get_footer();
