<?php
/**
 * The template for displaying all single posts.
 *
 * @package accesspress_blog
 */
get_header();

if(have_posts()){
    while ( have_posts() ) : the_post();
        $next_post = get_next_post();
        if(!empty($next_post)){
            $next_post_id = $next_post->ID;
        }else{
            $next_post_id = 0;
        }
        ?>
        <div class="single-blog-wrapp-outer" data-id="<?php echo esc_attr($next_post_id)?>" data-cid="<?php echo esc_attr($post->ID)?>">
            <?php 
        endwhile;
    }
    wp_reset_postdata();

    if(have_posts()){
        while ( have_posts() ) : the_post();
            if ( has_post_thumbnail() ) : ?>
            <?php $image = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' ); ?>
            <div class="pb-single-img-wrap" style= "background-image:url('<?php echo esc_url( $image[0]); ?>')">
                <header class="entry-header">
                    <?php the_category(); ?>
                    <h1 class="entry-title"><?php the_title(); ?></h1>
                    <div class="pb-blog-author-wrap">
                        <div class="author-wrapper">
                            <div class = "blog-avatar">
                                <?php echo get_avatar( get_the_author_meta( 'ID' ), 55 ); ?>
                            </div>
                            <div class="pb-auth-wrap">
                                <div class="pb-author"><?php echo esc_attr(get_the_author()); ?></div>
                                <span class="pb-post-date"><?php echo esc_html(get_the_date()); ?></span>
                            </div> 
                        </div>
                        <?php
                        if( function_exists('parallax_blog_post_views')){
                            parallax_blog_post_views();    
                        }?>
                    </div>
                </header><!-- .entry-header -->
            </div>

        <?php endif; 
    endwhile;
}
wp_reset_postdata();
$accesspress_parallax_page_metalayouts = get_post_meta( $post->ID, 'accesspress_parallax_page_layouts', true );
if( empty($accesspress_parallax_page_metalayouts) ){
    $accesspress_parallax_page_metalayouts = 'rightsidebar';
}?>
<div class="mid-content clearfix <?php echo esc_attr($accesspress_parallax_page_metalayouts);?>">
    <div id="primary" class="content-area">
        <main id="main" class="site-main" role="main">
            <div id="pb-blog-single-loader" class="pb-blog-single-wrapper">
                <?php
                $count = 0;
                if(have_posts()){
                    while ( have_posts() ) : the_post();

                        if($count==0){
                            $next_post = get_next_post();
                            if(!empty($next_post)){
                                $next_post_id = $next_post->ID;
                            }else{
                                $next_post_id = 0;
                            }
                            echo '<div class="pb-blog-wrapper" data-id='.esc_attr($next_post_id).' data-cid='.esc_attr($post->ID).'>';
                        }

                        get_template_part( 'content', 'single' );

                        $post_pagination = accesspress_parallax_of_get_option( 'post_pagination' );
                        if ( $post_pagination == 1 || !isset( $post_pagination ) ) :
                            the_post_navigation( array(
                                'prev_text' => '<i class="fa fa-hand-o-left"></i>' . __( '%title', 'accesspress-parallax' ),
                                'next_text' => __( '%title', 'accesspress-parallax' ) . '<i class="fa fa-hand-o-right"></i>',
                                'in_same_term' => true,
                            ) );
                        endif;

                        parallax_blog_setPostViews(get_the_ID());

                        $count++;

                    endwhile;
                    echo '</div>';
                }
                // end of the loop. 

                wp_reset_postdata();?>
            </div>
            
        </main><!-- #main -->
    </div><!-- #primary -->
    <?php if( $accesspress_parallax_page_metalayouts != 'nosidebar' ){
        get_sidebar();
    } ?>
</div>
<div class="pb-single-comment-wrapper">
    <div class="mid-content clearfix">
        <div class="author-content">
            <?php do_action('parallax_blog_author_info'); ?>
        </div>
        <?php 
        // If comments are open or we have at least one comment, load up the comment template
        if ( comments_open() || '0' != get_comments_number() ) :
            comments_template();
            endif;?>
        </div>
    </div>
    <div class="parallax-ajax-loader" style="display: none;"></div>
</div>

<div class="pb-blog-single-load">&nbsp;<span class="hidden" style="display: none"><?php esc_html_e('Load More Posts','parallax-blog'); ?></span></div>

<?php
get_footer();
